commit:     3bdaffb1d7782f5223b0739933f141d82c1c70b2
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Thu May  4 18:58:18 2017 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Thu May  4 18:58:31 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3bdaffb1

sys-fs/lvm2: bump per bug #602872.

Package-Manager: portage-2.3.3
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>

 sys-fs/lvm2/Manifest             |   1 +
 sys-fs/lvm2/lvm2-2.02.171.ebuild | 297 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 298 insertions(+)

diff --git a/sys-fs/lvm2/Manifest b/sys-fs/lvm2/Manifest
index 16a2de5aa63..1875a4de597 100644
--- a/sys-fs/lvm2/Manifest
+++ b/sys-fs/lvm2/Manifest
@@ -3,3 +3,4 @@ DIST LVM2.2.02.136.tgz 1891010 SHA256 
c6af90097d8f7cd851d38c4f57bb3ad7039cfa123f
 DIST LVM2.2.02.139.tgz 1897293 SHA256 
f423b1f2eee70efd671afc0982caa92e9413a582404057244021314172ec3a07 SHA512 
f112207d7447606915026495b931bffc4c0d68d36b9a8792fe4b7abf8b743bc4559da5c79145cb4d457337118e60552f9df511e31f2799001d29d006f7946cc0
 WHIRLPOOL 
8a1ca0bb6946b1f6761223a4a9e7c5e3e5247ff4b85bc08734258f4616fbabb0ea7a3b22b4a245367997ad810b4b304b747d8da0bd128c241fbafe645855b7f9
 DIST LVM2.2.02.145.tgz 1986370 SHA256 
98b7c4c07c485a462c6a86e1a5265757133ceea36289ead8a419af29ef39560b SHA512 
84e28b3efc940837ea9da70fce620744aea0945ba29383b76ad7bcd4b5259b897c714162a8e8b7cfe26ae736a3ad2eca633a3e0df4d6280a32b28bd4cf472d27
 WHIRLPOOL 
b8c6f4b737625547d4c2994d055f3334e2954f160d10840f1405b6a78f25fc17ba1d270f574408c151140e2afceb007cbfa1c146ed105bbdeca001a03368d549
 DIST LVM2.2.02.166.tgz 2148324 SHA256 
e120b066b85b224552efda40204488c5123de068725676fd6e5c8bc655051b94 SHA512 
8bebe9b474f791b5edf5366b0bd24861fbbaf8a83afa2a9e2a8e3917e05e4ecbf6877f018be03ffb4e9b4c8832208264165b85182bf79a07661adf35128b4a21
 WHIRLPOOL 
a4c2e0b2e8da85301b2518b35193304436715fdf45cbc7bc28fd6f7b88af15e611134d5a530d2311b23544aa67c3a7f13fd3780d4d46fc10854e624fb8b27870
+DIST LVM2.2.02.171.tgz 2333643 SHA256 
b815a711a2fabaa5c3dc1a4a284df0268bf0f325f0fc0f5c9530c9bbb54b9964 SHA512 
801adcc2ae483f81edf6bfba73090b6b8f710370e48764f08a62da71d617157075bea01593c2535ad5ba71dcb5e0cfe83cec9a65180a6e8b9e0d214bdee79883
 WHIRLPOOL 
fedd62612c6bb4b7764277a0d4474ff3557f041858c71eb7bf2a1c06b646637fe719f91a12c1b5c58ccefa7f4d2daba6bf30409340c52fd3a1b8b01ce62467ab

diff --git a/sys-fs/lvm2/lvm2-2.02.171.ebuild b/sys-fs/lvm2/lvm2-2.02.171.ebuild
new file mode 100644
index 00000000000..6ce42856b02
--- /dev/null
+++ b/sys-fs/lvm2/lvm2-2.02.171.ebuild
@@ -0,0 +1,297 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools eutils linux-info multilib systemd toolchain-funcs udev 
flag-o-matic
+
+DESCRIPTION="User-land utilities for LVM2 (device-mapper) software"
+HOMEPAGE="https://sourceware.org/lvm2/";
+SRC_URI="ftp://sourceware.org/pub/lvm2/${PN/lvm/LVM}.${PV}.tgz
+       ftp://sourceware.org/pub/lvm2/old/${PN/lvm/LVM}.${PV}.tgz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="readline static static-libs systemd clvm cman corosync lvm1 
lvm2create_initrd openais sanlock selinux +udev +thin device-mapper-only"
+REQUIRED_USE="device-mapper-only? ( !clvm !cman !corosync !lvm1 
!lvm2create_initrd !openais !sanlock !thin )
+       systemd? ( udev )
+       clvm? ( !systemd )"
+
+DEPEND_COMMON="
+       clvm? (
+               cman? ( =sys-cluster/cman-3* )
+               corosync? ( sys-cluster/corosync )
+               openais? ( sys-cluster/openais )
+               =sys-cluster/libdlm-3*
+       )
+
+       readline? ( sys-libs/readline:0= )
+       sanlock? ( sys-cluster/sanlock )
+       systemd? ( >=sys-apps/systemd-205:0= )
+       udev? ( >=virtual/libudev-208:=[static-libs?] )"
+# /run is now required for locking during early boot. /var cannot be assumed to
+# be available -- thus, pull in recent enough baselayout for /run.
+# This version of LVM is incompatible with cryptsetup <1.1.2.
+RDEPEND="${DEPEND_COMMON}
+       >=sys-apps/baselayout-2.2
+       !<sys-apps/openrc-0.11
+       !<sys-fs/cryptsetup-1.1.2
+       !!sys-fs/clvm
+       !!sys-fs/lvm-user
+       >=sys-apps/util-linux-2.16
+       lvm2create_initrd? ( sys-apps/makedev )
+       thin? ( >=sys-block/thin-provisioning-tools-0.3.0 )"
+# note: thin- 0.3.0 is required to avoid --disable-thin_check_needs_check
+# USE 'static' currently only works with eudev, bug 520450
+DEPEND="${DEPEND_COMMON}
+       virtual/pkgconfig
+       >=sys-devel/binutils-2.20.1-r1
+       sys-devel/autoconf-archive
+       static? (
+               selinux? ( sys-libs/libselinux[static-libs] )
+               udev? ( >=sys-fs/eudev-3.1.2[static-libs] )
+               >=sys-apps/util-linux-2.16[static-libs]
+       )"
+
+S=${WORKDIR}/${PN/lvm/LVM}.${PV}
+
+PATCHES=(
+       # Gentoo specific modification(s):
+       "${FILESDIR}"/${PN}-2.02.129-example.conf.in.patch
+
+       # For upstream -- review and forward:
+       "${FILESDIR}"/${PN}-2.02.63-always-make-static-libdm.patch
+       "${FILESDIR}"/${PN}-2.02.56-lvm2create_initrd.patch
+       "${FILESDIR}"/${PN}-2.02.67-createinitrd.patch #301331
+       "${FILESDIR}"/${PN}-2.02.99-locale-muck.patch #330373
+       "${FILESDIR}"/${PN}-2.02.70-asneeded.patch # -Wl,--as-needed
+       "${FILESDIR}"/${PN}-2.02.139-dynamic-static-ldflags.patch #332905
+       "${FILESDIR}"/${PN}-2.02.129-static-pkgconfig-libs.patch #370217, 
#439414 + blkid
+       "${FILESDIR}"/${PN}-2.02.130-pthread-pkgconfig.patch #492450
+       #"${FILESDIR}"/${PN}-2.02.145-mkdev.patch #580062 # Merged upstream
+)
+
+pkg_setup() {
+       local CONFIG_CHECK="~SYSVIPC"
+
+       if use udev; then
+               local WARNING_SYSVIPC="CONFIG_SYSVIPC:\tis not set (required 
for udev sync)\n"
+               if linux_config_exists; then
+                       local uevent_helper_path=$(linux_chkconfig_string 
UEVENT_HELPER_PATH)
+                       if [ -n "${uevent_helper_path}" ] && [ 
"${uevent_helper_path}" != '""' ]; then
+                               ewarn "It's recommended to set an empty value 
to the following kernel config option:"
+                               ewarn 
"CONFIG_UEVENT_HELPER_PATH=${uevent_helper_path}"
+                       fi
+               fi
+       fi
+
+       check_extra_config
+
+       # 1. Genkernel no longer copies /sbin/lvm blindly.
+       if use static; then
+               elog "Warning, we no longer overwrite /sbin/lvm and 
/sbin/dmsetup with"
+               elog "their static versions. If you need the static binaries,"
+               elog "you must append .static to the filename!"
+       fi
+}
+
+src_prepare() {
+       default
+
+       sed -i \
+               -e "1iAR = $(tc-getAR)" \
+               -e "s:CC ?= @CC@:CC = $(tc-getCC):" \
+               make.tmpl.in || die #444082
+
+       sed -i -e '/FLAG/s:-O2::' configure{.in,} || die #480212
+
+       if use udev && ! use device-mapper-only; then
+               sed -i -e '/use_lvmetad =/s:0:1:' conf/example.conf.in || die 
#514196
+               elog "Notice that \"use_lvmetad\" setting is enabled with 
USE=\"udev\" in"
+               elog "/etc/lvm/lvm.conf, which will require restart of udev, 
lvm, and lvmetad"
+               elog "if it was previously disabled."
+       fi
+
+       sed -i -e "s:/usr/bin/true:$(type -P true):" 
scripts/blk_availability_systemd_red_hat.service.in || die #517514
+
+       # Without thin-privision-tools, there is nothing to install for target 
install_man7:
+       use thin || { sed -i -e '/^install_lvm2/s:install_man7::' 
man/Makefile.in || die; }
+
+       eautoreconf
+}
+
+src_configure() {
+       filter-flags -flto
+       local myconf=()
+       local buildmode
+
+       myconf+=( $(use_enable !device-mapper-only dmeventd) )
+       myconf+=( $(use_enable !device-mapper-only cmdlib) )
+       myconf+=( $(use_enable !device-mapper-only applib) )
+       myconf+=( $(use_enable !device-mapper-only fsadm) )
+       myconf+=( $(use_enable !device-mapper-only lvmetad) )
+       use device-mapper-only && myconf+=( 
--disable-udev-systemd-background-jobs )
+
+       # Most of this package does weird stuff.
+       # The build options are tristate, and --without is NOT supported
+       # options: 'none', 'internal', 'shared'
+       if use static; then
+               buildmode="internal"
+               # This only causes the .static versions to become available
+               myconf+=( --enable-static_link )
+       else
+               buildmode="shared"
+       fi
+       dmbuildmode=$(use !device-mapper-only && echo internal || echo none)
+
+       # dmeventd requires mirrors to be internal, and snapshot available
+       # so we cannot disable them
+       myconf+=( --with-mirrors=${dmbuildmode} )
+       myconf+=( --with-snapshots=${dmbuildmode} )
+       if use thin; then
+               myconf+=( --with-thin=internal --with-cache=internal )
+               local texec
+               for texec in check dump repair restore; do
+                       myconf+=( 
--with-thin-${texec}="${EPREFIX}"/sbin/thin_${texec} )
+                       myconf+=( 
--with-cache-${texec}="${EPREFIX}"/sbin/cache_${texec} )
+               done
+       else
+               myconf+=( --with-thin=none --with-cache=none )
+       fi
+
+       if use lvm1; then
+               myconf+=( --with-lvm1=${buildmode} )
+       else
+               myconf+=( --with-lvm1=none )
+       fi
+
+       # disable O_DIRECT support on hppa, breaks pv detection (#99532)
+       use hppa && myconf+=( --disable-o_direct )
+
+       if use clvm; then
+               myconf+=( --with-cluster=${buildmode} )
+               # 4-state! Make sure we get it right, per bug 210879
+               # Valid options are: none, cman, gulm, all
+               #
+               # 2009/02:
+               # gulm is removed now, now dual-state:
+               # cman, none
+               # all still exists, but is not needed
+               #
+               # 2009/07:
+               # TODO: add corosync and re-enable ALL
+               local clvmd=""
+               use cman && clvmd="cman"
+               #clvmd="${clvmd/cmangulm/all}"
+               use corosync && clvmd="${clvmd:+$clvmd,}corosync"
+               use openais && clvmd="${clvmd:+$clvmd,}openais"
+               [ -z "${clvmd}" ] && clvmd="none"
+               myconf+=( --with-clvmd=${clvmd} )
+               myconf+=( --with-pool=${buildmode} )
+               myconf+=( --enable-lvmlockd-dlm )
+       else
+               myconf+=( --with-clvmd=none --with-cluster=none )
+       fi
+
+       econf \
+               $(use_enable readline) \
+               $(use_enable selinux) \
+               --enable-pkgconfig \
+               --with-confdir="${EPREFIX}"/etc \
+               --exec-prefix="${EPREFIX}" \
+               --sbindir="${EPREFIX}/sbin" \
+               --with-staticdir="${EPREFIX}"/sbin \
+               --libdir="${EPREFIX}/$(get_libdir)" \
+               --with-usrlibdir="${EPREFIX}/usr/$(get_libdir)" \
+               --with-default-dm-run-dir=/run \
+               --with-default-run-dir=/run/lvm \
+               --with-default-locking-dir=/run/lock/lvm \
+               --with-default-pid-dir=/run \
+               $(use_enable udev udev_rules) \
+               $(use_enable udev udev_sync) \
+               $(use_with udev udevdir "$(get_udevdir)"/rules.d) \
+               $(use_enable sanlock lvmlockd-sanlock) \
+               $(use_enable systemd udev-systemd-background-jobs) \
+               --with-systemdsystemunitdir="$(systemd_get_systemunitdir)" \
+               ${myconf[@]} \
+               CLDFLAGS="${LDFLAGS}"
+}
+
+src_compile() {
+       pushd include >/dev/null
+       emake
+       popd >/dev/null
+
+       if use device-mapper-only ; then
+               emake device-mapper
+       else
+               emake
+               emake CC="$(tc-getCC)" -C scripts 
lvm2_activation_generator_systemd_red_hat
+       fi
+}
+
+src_install() {
+       local inst
+       INSTALL_TARGETS="install install_tmpfiles_configuration"
+       # install systemd related files only when requested, bug #522430
+       use systemd && INSTALL_TARGETS="${INSTALL_TARGETS} 
install_systemd_units install_systemd_generators"
+       use device-mapper-only && INSTALL_TARGETS="install_device-mapper"
+       for inst in ${INSTALL_TARGETS}; do
+               emake DESTDIR="${D}" ${inst}
+       done
+
+       newinitd "${FILESDIR}"/device-mapper.rc-2.02.105-r2 device-mapper
+       newconfd "${FILESDIR}"/device-mapper.conf-1.02.22-r3 device-mapper
+
+       if use !device-mapper-only ; then
+               newinitd "${FILESDIR}"/dmeventd.initd-2.02.67-r1 dmeventd
+               newinitd "${FILESDIR}"/lvm.rc-2.02.166-r2 lvm
+               newconfd "${FILESDIR}"/lvm.confd-2.02.28-r2 lvm
+
+               newinitd "${FILESDIR}"/lvm-monitoring.initd-2.02.105-r2 
lvm-monitoring
+               newinitd "${FILESDIR}"/lvmetad.initd-2.02.116-r3 lvmetad
+       fi
+
+       if use sanlock; then
+               newinitd "${FILESDIR}"/lvmlockd.initd-2.02.166-r1 lvmlockd
+       fi
+
+       if use clvm; then
+               newinitd "${FILESDIR}"/clvmd.rc-2.02.39 clvmd
+               newconfd "${FILESDIR}"/clvmd.confd-2.02.39 clvmd
+       fi
+
+       if use static-libs; then
+               dolib.a libdm/ioctl/libdevmapper.a
+               dolib.a libdaemon/client/libdaemonclient.a #462908
+               #gen_usr_ldscript libdevmapper.so
+               dolib.a daemons/dmeventd/libdevmapper-event.a
+               #gen_usr_ldscript libdevmapper-event.so
+       else
+               rm -f 
"${ED}"usr/$(get_libdir)/{libdevmapper-event,liblvm2cmd,liblvm2app,libdevmapper}.a
+       fi
+
+       if use lvm2create_initrd; then
+               dosbin scripts/lvm2create_initrd/lvm2create_initrd
+               doman scripts/lvm2create_initrd/lvm2create_initrd.8
+               newdoc scripts/lvm2create_initrd/README README.lvm2create_initrd
+       fi
+
+       insinto /etc
+       doins "${FILESDIR}"/dmtab
+
+       dodoc README VERSION* WHATS_NEW WHATS_NEW_DM doc/*.{c,txt} conf/*.conf
+}
+
+pkg_postinst() {
+       ewarn "Make sure the \"lvm\" init script is in the runlevels:"
+       ewarn "# rc-update add lvm boot"
+       ewarn
+       ewarn "Make sure to enable lvmetad in /etc/lvm/lvm.conf if you want"
+       ewarn "to enable lvm autoactivation and metadata caching."
+}
+
+src_test() {
+       einfo "Tests are disabled because of device-node mucking, if you want 
to"
+       einfo "run tests, compile the package and see ${S}/tests"
+}

Reply via email to